Page MenuHomePhabricator

Remove confirm dialogs (prompts) when switching between VE and 2010 wikitext editor with changes
Closed, ResolvedPublic

Description

We don't show confirm dialogs when switch from VE<->NWE, and they aren't particularly useful when switching between VE and the 2010 wikitext editor. Switching editors should be as seamless as possible and these dialogs add a useless confirmation step to a completely reversible action.

Event Timeline

Esanders created this task.Apr 3 2019, 3:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2019, 3:50 PM

The original thinking behind this was (1) we previously had a dialog before mid-edit switching was implemented that warned you that data was going to be discarded (that is no longer the case) and (2) that a user switching editor might have been just playing around with the toolbar, and then would get "lost" in the other editor. The switching tool is now consistently styled and fairly easy to find in both editors so I don't think will be an issue.

Schnark added a subscriber: Schnark.Apr 4 2019, 7:07 AM

Additional benefit: I think there have been some cases where users switched from section editing to visual editing and blindly clicked on "Discard changes and switch", and only noticed when too late that they just lost their edit. Showing the confirmation only when it really is necessary will probably prevent this.

JTannerWMF moved this task from To Triage to Q4 on the VisualEditor board.Apr 9 2019, 3:22 PM
JTannerWMF added subscribers: ppelberg, JTannerWMF.

@ppelberg this work is tangential with our plans for Q4. Just wanted to put it on your radar.

Additional benefit: I think there have been some cases where users switched from section editing to visual editing and blindly clicked on "Discard changes and switch", and only noticed when too late that they just lost their edit. Showing the confirmation only when it really is necessary will probably prevent this.

T117716 should be fixed soon which means we will never ask the user to discard changes when switching.

Esanders renamed this task from Drop confirm dialogs when switching between VE and 2010 wikitext editor with changes to Drop confirm dialogs (prompts) when switching between VE and 2010 wikitext editor with changes.Apr 18 2019, 4:55 PM
Esanders renamed this task from Drop confirm dialogs (prompts) when switching between VE and 2010 wikitext editor with changes to Remove confirm dialogs (prompts) when switching between VE and 2010 wikitext editor with changes.Apr 18 2019, 5:45 PM

Change 505230 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] WIP Remove switch confirm dialogs

https://gerrit.wikimedia.org/r/505230

Change 505230 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Remove switch confirm dialogs

https://gerrit.wikimedia.org/r/505230

ppelberg closed this task as Resolved.Jul 10 2019, 11:46 PM